Provide php-ast 0.1.5 or later as a Debian package for CI
Closed, ResolvedPublic

Description

This is required for running phan 0.8.5 in CI . It depends on php-ast ^0.1.4 but the Debian package is 0.1.2.

See: https://gerrit.wikimedia.org/r/#/c/371097 & https://gerrit.wikimedia.org/r/#/c/371046

Debian bugs:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2017, 12:26 PM
Addshore changed the task status from Open to Stalled.EditedAug 28 2017, 12:30 PM

It looks like only 0.1.2 is available on sury currently :(
https://packages.sury.org/php/pool/main/p/php-ast/

Addshore moved this task from Backlog to Watching on the User-Addshore board.Aug 28 2017, 12:36 PM
Addshore closed this task as Declined.Jan 13 2018, 11:41 PM

phan doesnt run on nodepool anymore so this is not needed.

hashar renamed this task from Upgrade php-ast for CI nodepool image to ^0.1.4 (currently 0.1.2) to Provide php-ast 0.1.5 or later as a Debian package for CI.Jan 15 2018, 11:19 AM
hashar reopened this task as Open.
hashar updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-releng) [2018-01-15T11:23:01Z] <hashar> Mirroring git://anonscm.debian.org/pkg-php/php-ast.git to operations/debs/pkg-php/php-ast.git | T174338

Change 404280 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] debian-glue for operations/debs/pkg-php/php-ast

https://gerrit.wikimedia.org/r/404280

@hashar can we bump this to 0.1.6 please? so that we can also use the latest version of phan.
Basically the latest versions of phan will always use the latest versions of ast.

The Debian git repository git://anonscm.debian.org/pkg-php/php-ast.git has 1.5 so I am going to try rebuilding that one.

I filled a bug to Debian to get 0.1.6 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=887351

;D

cp: cannot stat 'README.md': No such file or directory
dh_installdocs: cp --reflink=auto -a README.md debian/php-ast/usr/share/doc/php-ast returned exit code 1
/usr/share/dh-php/pkg-pecl.mk:45: recipe for target 'binary' failed

Change 404280 merged by jenkins-bot:
[integration/config@master] debian-glue for operations/debs/pkg-php/php-ast

https://gerrit.wikimedia.org/r/404280

Change 404284 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/debs/pkg-php/php-ast@master] Rebuild for stretch-wikimedia

https://gerrit.wikimedia.org/r/404284

hashar updated the task description. (Show Details)Jan 15 2018, 12:24 PM
hashar claimed this task.Feb 1 2018, 6:20 PM

Both Debian bugs got fixed:

It is pending upload to Debian.org FTP, but I guess the source code has been updated. We then can just rebuild the package on our own and upload it to apt.wikimedia.org for Stretch

hashar added a comment.Feb 8 2018, 1:21 PM

I have forked the repo to Gerrit operations/debs/pkg-php/php-ast.

Rebuild it via https://gerrit.wikimedia.org/r/#/c/404284/ and there is a .deb available at https://integration.wikimedia.org/ci/job/debian-glue/1039/ which we would to test out I guess.

Change 404284 merged by jenkins-bot:
[operations/debs/pkg-php/php-ast@master] Rebuild for stretch-wikimedia

https://gerrit.wikimedia.org/r/404284

hashar added a comment.Feb 8 2018, 1:52 PM

I was holding the .deb package generation because CI failed on lintian. The Jenkins job ran the lintian version from Jessie instead of the lintian version from the target distribution (Stretch). That is solved now so I have build the package from upstream targetting stretch-wikimedia:

https://people.wikimedia.org/~hashar/debs/php-ast_0.1.6-1.1/

I have not tested the package. It is probably easy to do via the Phan container and then doing something like:

wget https://people.wikimedia.org/~hashar/debs/php-ast_0.1.6-1.1/php-ast_0.1.6-1.1_amd64.deb
dpkg -i php-ast_0.1.6-1.1_amd64.deb

Then I guess we can get it uploaded to apt.wikimedia.org stretch-wikimedia. I am not sure under which component though.

I emailed the Debian maintainer of php-ast about doing an official stretch backport of php-ast, as I think that will be easier to maintain in the long term.

@Legoktm as I just randomly remembered this issue: any answer/progress so far?

hashar removed hashar as the assignee of this task.Jul 11 2018, 2:32 PM
hashar closed this task as Resolved.Aug 20 2018, 12:45 PM
hashar claimed this task.

Sury now provides 0.1.6 I will clean up our fork.

Addshore moved this task from Watching to Done ✔️ on the User-Addshore board.Aug 20 2018, 3:18 PM

Mentioned in SAL (#wikimedia-releng) [2018-08-27T13:25:23Z] <hashar> Delete gerrit repo operations/debs/pkg-php/php-ast , was for php-ast 1.6 which is now in Debian | T174338